<?php

namespace Modules\Core\Enums;

enum StatusEnum: string
{
    case Active = 'Active';
    case Inactive = 'Inactive';

    public const ACTIVE = self::Active->value;
    public const INACTIVE = self::Inactive->value;

    public static function casesAsArray(): array
    {
        return array_map(fn(self $case) => $case->value, self::cases());
    }
}
